Subject: Re: [PATCH 0/2] [git-gui] "Open existing repository" with submodules

From: Pat Thoyts <[email-masked]>
Date: Thu, 12 Mar 2015 21:57:52 +0000

Remi Rampin <[email-masked]> writes:

>I'm resubmitting this patch series, hopefully someone takes notice
>this time.
>
>The GUI cannot currently open a submodule because it fails to recognize
>the git link file (regular .git file with content "gitdir: ...").
>
>Previous thread:
>http://thread.gmane.org/gmane.comp.version-control.git/263199
>
>I'm really not sure if/how git-gui is maintained but I do hope somebody
>cares about this component, that is still AFAIK distributed with Git.
>
>Remi Rampin (2):
>  Fixes chooser not accepting gitfiles
>  Makes chooser set 'gitdir' to the resolved path
>
> lib/choose_repository.tcl | 21 ++++++++++++++++++---
> 1 file changed, 18 insertions(+), 3 deletions(-)

Thanks. I've applied these onto git-gui's upstream repository with minor
changes to the commit comment to clarify where this becomes useful.

-- 
Pat Thoyts                            http://www.patthoyts.tk/
PGP fingerprint 2C 6E 98 07 2C 59 C8 97  10 CE 11 E6 04 E0 B9 DD